aboutsummaryrefslogtreecommitdiff
path: root/spec/01_lib_spec.sh
diff options
context:
space:
mode:
Diffstat (limited to 'spec/01_lib_spec.sh')
-rw-r--r--spec/01_lib_spec.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/spec/01_lib_spec.sh b/spec/01_lib_spec.sh
index e505f21..b7d83f3 100644
--- a/spec/01_lib_spec.sh
+++ b/spec/01_lib_spec.sh
@@ -155,8 +155,9 @@ Describe 'CPT Library'
check_internet_connection() { ! curl -L git.carbslinux.org >/dev/null 2>&1 ;}
Skip if "no internet connection" check_internet_connection
Describe 'pkg_vcs_clone_git()'
- setup() { mkdir test_repository && cd test_repository || return ;}
- cleanup() { cd .. && rm -rf test_repository ;}
+ tmpfos=$$
+ setup() { mkdir "/tmp/test_repository.$tmpfos" && cd "/tmp/test_repository.$tmpfos" || return ;}
+ cleanup() { cd /tmp && rm -rf "test_repository.$tmpfos" ;}
check_version() { [ "$1" = "$(sed -n '/^version=/s/.*=//p' configure)" ] ;}
BeforeEach setup
AfterEach cleanup